public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jaraco-packaging/
Date: Fri, 22 Nov 2019 00:20:56 +0000 (UTC)	[thread overview]
Message-ID: <1574380509.ac0402cb5ea238140f75331c514e25a2b6e49007.chutzpah@gentoo> (raw)

commit:     ac0402cb5ea238140f75331c514e25a2b6e49007
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu Nov 21 21:48:04 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Nov 21 23:55:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac0402cb

dev-python/jaraco-packaging: Revbump to 6.2-r1, add py38

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 .../jaraco-packaging-6.2-r1.ebuild                 | 78 ++++++++++++++++++++++
 1 file changed, 78 insertions(+)

diff --git a/dev-python/jaraco-packaging/jaraco-packaging-6.2-r1.ebuild b/dev-python/jaraco-packaging/jaraco-packaging-6.2-r1.ebuild
new file mode 100644
index 00000000000..aa458c4bbe6
--- /dev/null
+++ b/dev-python/jaraco-packaging/jaraco-packaging-6.2-r1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7,8}} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Tools to supplement packaging Python releases"
+HOMEPAGE="https://github.com/jaraco/jaraco.packaging"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="doc test"
+
+RDEPEND="
+	dev-python/importlib_metadata[${PYTHON_USEDEP}]
+	>=dev-python/namespace-jaraco-2[${PYTHON_USEDEP}]
+	>=dev-python/six-1.4[${PYTHON_USEDEP}]
+"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? (
+		$(python_gen_any_dep '
+			>=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+			dev-python/sphinx[${PYTHON_USEDEP}]
+		')
+	)
+	test? (
+		${RDEPEND}
+		>=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+	)
+"
+
+RESTRICT="!test? ( test )"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_check_deps() {
+	use doc || return 0
+
+	has_version ">=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]" && \
+		has_version "dev-python/sphinx[${PYTHON_USEDEP}]"
+}
+
+python_prepare_all() {
+	# avoid a setuptools_scm dependency
+	sed -i "s:use_scm_version=True:version='${PV}':" setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	if use doc; then
+		cd docs || die
+		sphinx-build . _build/html || die
+		HTML_DOCS=( docs/_build/html/. )
+	fi
+}
+
+python_test() {
+	# Skip one test which requires network access
+	# Override pytest options to skip flake8
+	PYTHONPATH=. pytest -vv -k "not test_revived_distribution" \
+		--override-ini="addopts=--doctest-modules" \
+		|| die "tests failed with ${EPYTHON}"
+}
+
+# https://wiki.gentoo.org/wiki/Project:Python/Namespace_packages#File_collisions_between_pkgutil-style_packages
+python_install() {
+	rm "${BUILD_DIR}"/lib/jaraco/__init__.py || die
+	# note: eclass may default to --skip-build in the future
+	distutils-r1_python_install --skip-build
+}


             reply	other threads:[~2019-11-22  0:21 UTC|newest]

Thread overview: 83+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-22  0:20 Patrick McLean [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-05-13 16:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/jaraco-packaging/ Arthur Zamarin
2022-03-20 18:36 Michał Górny
2022-03-20 18:34 Sam James
2022-03-18 13:18 Michał Górny
2022-03-15 14:14 Michał Górny
2022-03-15 11:44 Jakov Smolić
2022-02-11  9:42 Michał Górny
2022-02-04 18:52 Michał Górny
2022-02-04 18:32 Michał Górny
2022-02-04 18:32 Michał Górny
2022-02-04 12:04 Michał Górny
2022-01-19 22:45 James Le Cuirot
2021-05-06 14:44 Michał Górny
2021-04-18  7:05 Michał Górny
2021-04-18  1:41 Sam James
2021-03-15  8:34 Michał Górny
2021-03-02  8:25 Michał Górny
2021-03-02  1:34 Sam James
2021-01-05 21:27 Michał Górny
2021-01-05 21:00 Sam James
2020-12-29 19:48 Michał Górny
2020-11-22 16:22 Louis Sautier
2020-10-18  6:25 Michał Górny
2020-10-17 23:49 Sam James
2020-10-16 12:00 Michał Górny
2020-09-20 15:38 Michał Górny
2020-09-04 22:45 Louis Sautier
2020-05-13 11:30 Agostino Sarubbo
2020-05-11 15:32 Mart Raudsepp
2020-05-08  9:36 Sergei Trofimovich
2020-05-04 16:51 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-05-03 10:25 Agostino Sarubbo
2020-03-25 11:46 Michał Górny
2020-03-25 11:46 Michał Górny
2020-02-28 13:09 Louis Sautier
2020-02-28 13:09 Louis Sautier
2019-12-04  6:48 Aaron Bauman
2019-11-25 12:35 Michał Górny
2019-11-25  8:09 Patrick McLean
2019-08-10  9:08 Sergei Trofimovich
2019-08-02 14:00 Louis Sautier
2019-08-02  8:36 Mikle Kolyada
2019-08-02  8:36 Mikle Kolyada
2019-08-02  8:36 Mikle Kolyada
2019-08-02  8:36 Mikle Kolyada
2019-08-01  6:34 Sergei Trofimovich
2019-08-01  6:28 Sergei Trofimovich
2019-07-31 17:44 Sergei Trofimovich
2019-07-29 13:36 Louis Sautier
2019-07-29 13:36 Louis Sautier
2019-07-03 23:36 Louis Sautier
2019-07-03 23:36 Louis Sautier
2019-03-03 11:00 Mikle Kolyada
2018-12-11 12:50 Louis Sautier
2018-07-30 21:57 Mikle Kolyada
2018-07-16 19:57 Michał Górny
2018-06-26 14:29 Louis Sautier
2018-06-26 14:29 Louis Sautier
2018-06-25 10:40 Jason Zaman
2018-06-18 10:34 Louis Sautier
2018-06-08 12:05 Michał Górny
2018-04-09 20:22 Stephen Klimaszewski
2018-03-21 19:41 Markus Meier
2018-03-15  1:03 Matt Turner
2018-02-22 20:49 Michał Górny
2017-12-27 20:37 Sergei Trofimovich
2017-12-27 20:06 Sergei Trofimovich
2017-12-23 21:58 Sergei Trofimovich
2017-12-21 22:34 Sergei Trofimovich
2017-12-17 21:33 Sergei Trofimovich
2017-12-16 21:56 Mike Gilbert
2017-11-23 22:31 Matt Turner
2017-11-10  1:08 Matt Turner
2017-08-06 12:45 Sergei Trofimovich
2017-08-05 19:25 Sergei Trofimovich
2017-07-14 21:35 Alexis Ballier
2017-06-17 17:24 Agostino Sarubbo
2017-06-17 15:36 Agostino Sarubbo
2017-06-15 20:52 Sergei Trofimovich
2017-06-14 19:49 Markus Meier
2017-05-15  9:09 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1574380509.ac0402cb5ea238140f75331c514e25a2b6e49007.chutzpah@gentoo \
    --to=chutzpah@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox